websocket-sharp : WebSocketSharp Namespace

# WebSocketException Class

Represents the exception that occurred when attempting to perform an operation on the WebSocket connection.

## Syntax

public class WebSocketException : Exception

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: WebSocketSharp
Assembly: websocket-sharp (in websocket-sharp.dll)

## Members

See Also: Inherited members from Exception.

## Public Properties

[read-only] | Code | CloseStatusCode . Gets the WebSocketSharp.CloseStatusCode associated with a WebSocketSharp.WebSocketException.

## Extension Methods

static | IsNull<T> (this T) : bool Determines whether the specified object is `null`.
static | IsNullDo<T> (this T, Action) : bool Determines whether the specified object is `null`. And invokes the specified Action delegate if the specified object is `null`.

## Member Details

### Code Property

> Gets the WebSocketSharp.CloseStatusCode associated with a WebSocketSharp.WebSocketException.

> ## Syntax

> public CloseStatusCode Code { get; }

> #### Value

> > One of the WebSocketSharp.CloseStatusCode values that indicates the cause of the exception.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp
> Assembly: websocket-sharp (in websocket-sharp.dll)